//---------------------------------------------------------------//
// Styles de base
//---------------------------------------------------------------//

section.signin-container {
  display: flex;
}

.titre-inscription h3 {
  background-color: $color-button;

  text-align: center;

  margin: auto 20px;
  padding: 20px auto;
}

//---------------------------------------------------------------//
// Styles de base pour le formulaire d'inscription
//---------------------------------------------------------------//

.formulaire-inscription {
  background: $color-bg-article;

  margin: 20px auto 40px;

  fieldset {
    border: 0;

    margin-top: 40px;

    width: 300px;


    legend {
      background-color: $color-legend;

      text-align: center;

      padding: 20px 100px;
    }

    ol {
      list-style: none;

      padding: 0;


      li {
        display: flex;
        flex-direction: column;

        margin-bottom: 20px;


        label {
          color: $white;

          margin-bottom: 20px;
        }
      }
    }
  }


//---------------------------------------------------------------//
// Hover du bouton s'inscrire
//---------------------------------------------------------------//
  form button[type="submit"]:hover {
    background-color: $background-input-focus;

    -webkit-transform: translate3d(10px, 0px, 0px);
    transform: translate3d(10px, 0px, 0px);

    opacity: 1;
  }

  form input[type="text"]:focus,
  form input[type="text"]:hover,
  form input[type="password"]:focus,
  form input[type="password"]:hover {
    background-color: $background-input-focus;
  }

  form input[type="password"]:active,
  form button[type="submit"]:active {
    -webkit-transform: translate3d(14px, 0px, 0px);
    transform: translate3d(14px, 0px, 0px);
  }

  // Mise en forme du bouton pour l'envoi du formulaire d'inscription

  button.buttoninscription {
    font-weight: bold;

    background-color: $base-button-background-submit-color;
    color: $color-text-normal;

    text-transform: uppercase;
  }

  // Mise en forme du bouton pour l'envoi du formulaire au survol et au focus

  button.buttoninscription[type="submit"]:focus {
    background-color: $base-button-background-submit-color;
  }
}



//---------------------------------------------------------------//
// Medias queries
//---------------------------------------------------------------//

@media screen and(min-width: $vw-medium) {
  form.formulaire-inscription {
    fieldset {
      width: 800px;
    }
  }
}

@media screen and(min-width: $vw-large) {
  form.formulaire-inscription {
    fieldset {
      width: 1000px;
    }
  }
}



